cbys.net
当前位置:首页 >> Common nEt mAvEn >>

Common nEt mAvEn

报这些错就是依赖的jar包找不到。 一般这些开源的组件都是可以在maven central下到的,你检查下你的mirror(在settings文件中)或者repositories(pom文件中)设置的是否正确

javax.annotation jsr250-api 1.0 找寻方法: google "maven2 common-annotations.jar" 即 maven2 + 所需jar包的名字,点进去搜索出的结果,你就能看出你所需要的jar包的结构了。 其中groupid为路径结构,最后一层名字为artifactid 这样说能理解...

json-lib是需要区分jdk版本的,pom.xml中的配置应加上标签,如用jdk15: net.sf.json-lib json-lib 2.2.3 jdk15 总之,以上标签是必须的,如果还是Missing,可能是因为网络原因导致下载失败。请查看本地仓库net\sf\json-lib\json-lib\2.2.3目录...

你可以使用 commons-httpclient 3.1版本 commons-httpclientcommons-httpclient3.1

Could not transfer artifact org.apache.maven.surefire:surefire-api:jar:2.12.4 from/to central (https://repo.maven.apache.org/maven2) 这个是因为相关的jar包从https://repo.maven.apache.org/maven2库上无法下载下来,先检查下是否能pin...

POM 中写得不对。

正确的描述一个依赖是的格式是这样的: org.gocom.cloud.common org.gocom.cloud.common.exception 1.0.0 而且这三项都是必选项,你的缺少version选项。

httpclient的依赖没有找到,检查maven私服上是否有该jar包,如果没有,要么改私服地址,要么自己down下依赖,按pom文件配置路径放入本地仓库

你的parent的path和你relativepath差好多,怎么会有效。

具体为:Archive for required library:E:program Files/apache-maven-3.1.0/repository/org/springframework/spring-beans/3.2.4.RELEASE/spring-beans-3.2.4....

网站首页 | 网站地图
All rights reserved Powered by www.cbys.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com